declare type RecordScreenEditConfigType = {
    width: number;
    height: number;
    translateX: number;
    translateY: number;
    fps: number;
};
declare type RecordScreenConfigType = {
    audio: boolean;
    width: number;
    height: number;
    edit?: RecordScreenEditConfigType;
};
declare type RecordingSuccessResponse = {
    status: 'success';
    result: {
        outputURL: string;
    };
};
declare type RecordingErrorResponse = {
    status: 'error';
    result: {
        outputURL: string;
    };
};
declare type RecordingResponse = RecordingSuccessResponse | RecordingErrorResponse;
declare type RecordScreenType = {
    setup(config: RecordScreenConfigType): void;
    startRecording(config?: RecordScreenConfigType): Promise<void>;
    stopRecording(): Promise<RecordingResponse>;
};
declare const _default: RecordScreenType;
export default _default;
